Upload (Gradle API 8.14.5)
Description: declaration: package: org.gradle.api.tasks, class: Upload

Package org.gradle.api.tasks

# Class Upload

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.api.tasks.Upload

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@Deprecated @DisableCachingByDefault(because="Produces no cacheable output") public abstract class Upload extends org.gradle.api.internal.ConventionTask
Deprecated.
This class is scheduled for removal in Gradle 9.0. To publish artifacts, use the `maven-publish` or `ivy-publish` plugins instead.
This task is no longer supported and will throw an exception if you try to use it.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Task

  `Task.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Upload()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FileCollection`
  `getArtifacts()`
  Deprecated.
  This class is scheduled for removal in Gradle 9.0, this method should not be used.
  `Configuration`
  `getConfiguration()`
  Deprecated.
  This class is scheduled for removal in Gradle 9.0, this method should not be used.
  `File`
  `getDescriptorDestination()`
  Deprecated.
  This class is scheduled for removal in Gradle 9.0, this method should not be used.
  `protected abstract org.gradle.api.internal.DocumentationRegistry`
  `getDocumentationRegistry()`
  Deprecated.
  This class is scheduled for removal in Gradle 9.0, this method should not be used.
  `RepositoryHandler`
  `getRepositories()`
  Deprecated.
  This class is scheduled for removal in Gradle 9.0, this method should not be used.
  `boolean`
  `isUploadDescriptor()`
  Deprecated.
  This class is scheduled for removal in Gradle 9.0, this method should not be used.
  `RepositoryHandler`
  `repositories(Closure configureClosure)`
  Deprecated.
  This class is scheduled for removal in Gradle 9.0, this method should not be used.
  `RepositoryHandler`
  `repositories(Action<? super RepositoryHandler> configureAction)`
  Deprecated.
  This class is scheduled for removal in Gradle 9.0, this method should not be used.
  `void`
  `setConfiguration(Configuration configuration)`
  Deprecated.
  This class is scheduled for removal in Gradle 9.0, this method should not be used.
  `void`
  `setDescriptorDestination(File descriptorDestination)`
  Deprecated.
  This class is scheduled for removal in Gradle 9.0, this method should not be used.
  `void`
  `setUploadDescriptor(boolean uploadDescriptor)`
  Deprecated.
  This class is scheduled for removal in Gradle 9.0, this method should not be used.
  `protected void`
  `upload()`
  Deprecated.

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### Upload

    public Upload()
    Deprecated.

- ## Method Details

  - ### getDocumentationRegistry

    @Deprecated @Inject protected abstract org.gradle.api.internal.DocumentationRegistry getDocumentationRegistry()
    Deprecated.
    This class is scheduled for removal in Gradle 9.0, this method should not be used.
    Do not use this method, it is for internal use only.

  - ### upload

    protected void upload()
    Deprecated.

  - ### isUploadDescriptor

    @Input @Deprecated public boolean isUploadDescriptor()
    Deprecated.
    This class is scheduled for removal in Gradle 9.0, this method should not be used.
    Do not use this method, it will always return `false`.

  - ### setUploadDescriptor

    @Deprecated public void setUploadDescriptor(boolean uploadDescriptor)
    Deprecated.
    This class is scheduled for removal in Gradle 9.0, this method should not be used.
    Do not use this method, it does nothing.

  - ### getDescriptorDestination

    @Internal @Nullable @Deprecated public File getDescriptorDestination()
    Deprecated.
    This class is scheduled for removal in Gradle 9.0, this method should not be used.
    Do not use this method, it will always return `null`.

  - ### setDescriptorDestination

    @Deprecated public void setDescriptorDestination(@Nullable File descriptorDestination)
    Deprecated.
    This class is scheduled for removal in Gradle 9.0, this method should not be used.
    Do not use this method, it does nothing.

  - ### getRepositories

    @Internal @Nullable @Deprecated public RepositoryHandler getRepositories()
    Deprecated.
    This class is scheduled for removal in Gradle 9.0, this method should not be used.
    Do not use this method, it will always return `null`.

  - ### getConfiguration

    @Internal @Nullable @Deprecated public Configuration getConfiguration()
    Deprecated.
    This class is scheduled for removal in Gradle 9.0, this method should not be used.
    Do not use this method, it will always return `null`.

  - ### setConfiguration

    @Deprecated public void setConfiguration(@Nullable Configuration configuration)
    Deprecated.
    This class is scheduled for removal in Gradle 9.0, this method should not be used.
    Do not use this method, it does nothing.

  - ### repositories

    @Nullable @Deprecated public RepositoryHandler repositories(@Nullable @DelegatesTo(RepositoryHandler.class) Closure configureClosure)
    Deprecated.
    This class is scheduled for removal in Gradle 9.0, this method should not be used.
    Do not use this method, it will always return `null`.

  - ### repositories

    @Nullable @Deprecated public RepositoryHandler repositories(Action<? super RepositoryHandler> configureAction)
    Deprecated.
    This class is scheduled for removal in Gradle 9.0, this method should not be used.
    Do not use this method, it will always return `null`.

  - ### getArtifacts

    @PathSensitive(NAME_ONLY) @InputFiles @Deprecated public FileCollection getArtifacts()
    Deprecated.
    This class is scheduled for removal in Gradle 9.0, this method should not be used.
    Do not use this method, it must return a non-`null` value as an input property to all the task to run, but this value should not be relied upon for anything.